Bug 42802 - Temporarily disable the layout test for the bug 41175
Summary: Temporarily disable the layout test for the bug 41175
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P3 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-21 19:29 PDT by Cosmin Truta
Modified: 2010-07-27 17:02 PDT (History)
6 users (show)

See Also:


Attachments
Add an exclusion for the layout test for 41175 under OS X 10.5, until the real problem is fixed (575 bytes, patch)
2010-07-21 19:44 PDT, Cosmin Truta
eric: review-
Details | Formatted Diff | Diff
Excluding the layout test for 41175; including the ChangeLog entry (1.10 KB, patch)
2010-07-22 11:57 PDT, Cosmin Truta
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cosmin Truta 2010-07-21 19:29:16 PDT
The fix for the bug 41175 is innocuous; however, the layout test added is failing in debug-mode WebKit on 10.5.
Add an exclusion for that layout test, until a proper fix is developed.
Comment 1 Cosmin Truta 2010-07-21 19:44:40 PDT
Created attachment 62255 [details]
Add an exclusion for the layout test for 41175 under OS X 10.5, until the real problem is fixed
Comment 2 Eric Seidel (no email) 2010-07-21 19:59:11 PDT
Comment on attachment 62255 [details]
Add an exclusion for the layout test for 41175 under OS X 10.5, until the real problem is fixed

Every change requires a ChangeLog entry. :(
Comment 3 Cosmin Truta 2010-07-22 11:57:36 PDT
Created attachment 62325 [details]
Excluding the layout test for 41175; including the ChangeLog entry
Comment 4 Eric Seidel (no email) 2010-07-22 12:05:19 PDT
Comment on attachment 62325 [details]
Excluding the layout test for 41175; including the ChangeLog entry

https://bugs.webkit.org/show_bug.cgi?id=41808 does not explain the bug at all.  It talks about Chromium, yet this is disabling a test on Mac.

I do not understand.

Please file a bug about the ASSERT and link to it from your bug and skipped list.   Or re-purpose https://bugs.webkit.org/show_bug.cgi?id=41808 to be about the ASSERT itself (with information about what assert and a reduced test case, etc.)

This patch is fine, but the course forward is not yet.
Comment 5 Darin Adler 2010-07-22 13:03:16 PDT
Comment on attachment 62325 [details]
Excluding the layout test for 41175; including the ChangeLog entry

This will disable the test for both Leopard and Tiger. But I suppose it’s better than having the bot fail for days.
Comment 6 WebKit Commit Bot 2010-07-22 18:24:19 PDT
Comment on attachment 62325 [details]
Excluding the layout test for 41175; including the ChangeLog entry

Clearing flags on attachment: 62325

Committed r63935: <http://trac.webkit.org/changeset/63935>
Comment 7 WebKit Commit Bot 2010-07-22 18:24:25 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Cosmin Truta 2010-07-27 17:02:33 PDT
The bug 43069 has been opened. That will address the issue of filtering zero-sized <g> elements at a higher, platform-independent level, as opposed to using platform-specific fixes and workarounds. That should hopefully resolve this issue as well.